# Uses of Class
org.apache.lucene.spatial.query.SpatialArgs

Packages that use SpatialArgs
Package
Description
org.apache.lucene.spatial
Lucene advanced spatial search
org.apache.lucene.spatial.bbox
Bounding Box Spatial Strategy
org.apache.lucene.spatial.composite
Composite strategies.
org.apache.lucene.spatial.prefix
Prefix Tree Strategy.
org.apache.lucene.spatial.query
Spatial Query options useful for client side requests
org.apache.lucene.spatial.serialized
Strategies that serialize the shape (non-indexed).
org.apache.lucene.spatial.vector
Spatial strategy that uses two fields.

- ## Uses of SpatialArgs in org.apache.lucene.spatial

  Methods in org.apache.lucene.spatial with parameters of type SpatialArgs
  Modifier and Type
  Method
  Description
  `abstract Query`
  SpatialStrategy.`makeQuery(SpatialArgs args)`
  Make a Query based principally on `SpatialOperation` and `Shape` from the supplied `args`.

- ## Uses of SpatialArgs in org.apache.lucene.spatial.bbox

  Methods in org.apache.lucene.spatial.bbox with parameters of type SpatialArgs
  Modifier and Type
  Method
  Description
  `Query`
  BBoxStrategy.`makeQuery(SpatialArgs args)`

- ## Uses of SpatialArgs in org.apache.lucene.spatial.composite

  Methods in org.apache.lucene.spatial.composite with parameters of type SpatialArgs
  Modifier and Type
  Method
  Description
  `Query`
  CompositeSpatialStrategy.`makeQuery(SpatialArgs args)`

- ## Uses of SpatialArgs in org.apache.lucene.spatial.prefix

  Methods in org.apache.lucene.spatial.prefix with parameters of type SpatialArgs
  Modifier and Type
  Method
  Description
  `Query`
  RecursivePrefixTreeStrategy.`makeQuery(SpatialArgs args)`
  `Query`
  TermQueryPrefixTreeStrategy.`makeQuery(SpatialArgs args)`

- ## Uses of SpatialArgs in org.apache.lucene.spatial.query

  Methods in org.apache.lucene.spatial.query that return SpatialArgs
  Modifier and Type
  Method
  Description
  `protected SpatialArgs`
  SpatialArgsParser.`newSpatialArgs(SpatialOperation op, org.locationtech.spatial4j.shape.Shape shape)`
  `SpatialArgs`
  SpatialArgsParser.`parse(String v, org.locationtech.spatial4j.context.SpatialContext ctx)`
  Parses a string such as "Intersects(ENVELOPE(-10,-8,22,20)) distErrPct=0.025".
  Methods in org.apache.lucene.spatial.query with parameters of type SpatialArgs
  Modifier and Type
  Method
  Description
  `protected void`
  SpatialArgsParser.`readNameValuePairs(SpatialArgs args, Map<String,String> nameValPairs)`

- ## Uses of SpatialArgs in org.apache.lucene.spatial.serialized

  Methods in org.apache.lucene.spatial.serialized with parameters of type SpatialArgs
  Modifier and Type
  Method
  Description
  `Query`
  SerializedDVStrategy.`makeQuery(SpatialArgs args)`
  Returns a Query that should be used in a random-access fashion.

- ## Uses of SpatialArgs in org.apache.lucene.spatial.vector

  Methods in org.apache.lucene.spatial.vector with parameters of type SpatialArgs
  Modifier and Type
  Method
  Description
  `Query`
  PointVectorStrategy.`makeQuery(SpatialArgs args)`